MetricsTag (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Class MetricsTag

    java.lang.Object
      org.apache.hadoop.metrics2.MetricsTag

    public class MetricsTag

extends Object

Immutable tag for metrics (for grouping on host/queue/username etc.)

Constructor Summary
`MetricsTag(String name, String description, String value)` Construct the tag with name, description and value

Method Summary
`String` | `description()` Get the description of the tag
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `name()` Get the name of the tag
`String` | `toString()`
`String` | `value()` Get the value of the tag

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetricsTag

    public MetricsTag(String name,
                      String description,
                      String value)

  Construct the tag with name, description and value

  Parameters:
    `name` - of the tag
    `description` - of the tag
    `value` - of the tag

Method Detail

### name

    public String name()

  Get the name of the tag

  Returns:
    the name

### description

    public String description()

  Get the description of the tag

  Returns:
    the description

### value

    public String value()

  Get the value of the tag

  Returns:
    the value

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation